Subject: RE: [PWE3] two labels in data frame

From: "Dutta, Pranjal" <[email-masked]>
Date: Thu, 1 Sep 2005 16:53:34 +0530

Hi,
      Please refer inline.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
manomugdha biswas
Sent: Tuesday, 30 August, 2005 4:34 PM
To: [email-masked]
Subject: [PWE3] two labels in data frame

Hi,
I have the following topology:
CE1----PE1------P-----PE2------CE2

I have established PW between PE1 and PE2. I and
sending a data frame from CE2 to PE2. PE2 forwards
this data frame on PW. But PE2 adds only one label, PW
label that PE1 advertised to PE2. Here should not PE2
adds two labels (PW label and tunnel label)? If not
then how to cause PE2 to add two labels? I am using
LDP as signalling protocol.

I have used following steps to establish PW between
PE1 and PE2.
1. Basic LDP session between P and PE2

Assumption 1: Here, I assume that you are running basic LDP (over
directly connected links) between PE1, P and PE2 for the label switched
path from PE1 to PE2 and vice versa. Is that right?

2. Targeted LDP session between PE1 and PE2.
3. Bidirectional LSP between PE1 and PE2 (PW label is
exchanged here).

Assumption 2: So, here your L2 FECs (Pseudo wire Labels) get exchanged)

Could you please give some light on this issue?

Now, if both the assumptions are correct, then this should happen when
traffic is sent from CE2 to PE2. L2 Traffic reaches PE2 from CE2. PE2
being the ingress router will map the frames/packets from CE2 to the L2
FEC configured and will insert pseudo wire label into the
frames/packets(the label received from CE2. Now PE2 has to send the
pseudowire packet over the tunnel LSP that starts from PE2 and ends at
PE1.
So L3 FEC for the tunnel is the destination (PE1 here).
If you run LDP for setting up the tunnel, then PE2 will insert the
second label that it has received from P for the L3 FEC (PE1
prefix/address). If you enable PHP in PE1, then PE1 will advertise null
label (label=3)to P for the L3 FEC and being the egress router. So P
will pop the second label before forwarding to PE1. PE1 will pop the
pseudowire label and will xmit untagged frames to CE1.

How to exchange tunnel label? Can I use RSVP as
signalling protocol?

Yes, that is the alternate option to basic LDP. Service providers mostly
use RSVP-TE for the Tunnel as it helps establishing robust end-to-end
tunnels for traffic engineering. There are other advantages of RSVP-TE.

Hope this helps,
Pranjal

Regards,
Manomugdha

Manomugdha Biswas

_______________________________________________________ 
Too much spam in your inbox? Yahoo! Mail gives you the best spam
protection for FREE! http://in.mail.yahoo.com

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3